#!/usr/bin/env cwltool

cwlVersion: v1.2
class: CommandLineTool

hints:
  SoftwareRequirement:
    packages:
      rminionqc :
        version: ["2.5.2"]
        specs: ["https://anaconda.org/bioconda/pycoqc"]

# baseCommand: ["bash", "script.sh"]
baseCommand: [pycoQC]

label: "PycoQC for Quality Check of nanopore raw reads"
doc: |
    PycoQC for Quality Check of nanopore raw reads from sequencing summary
    generated with Guppy.

requirements:
   InlineJavascriptRequirement: {}
#    InitialWorkDirRequirement:
#      listing:
# #       - entry: "$({class: 'Directory', listing: []})"
# #         entryname: "PycoQC_output"
# #         writable: true
#        - entryname: script.sh
#          entry: |-
#            #!/bin/bash
#            source /root/miniconda/bin/activate
#            conda init bash
#            conda activate /unlock/infrastructure/conda/pycoqc/pycoqc_v2.5.2
#            pycoQC $@

arguments: 
  - valueFrom: $(inputs.report_title).html
    prefix: --html_outfile

inputs:
  seq_summary:
    type: File
    doc: |-
      sequencing_summary.txt output from Guppy basecaller.
      Path to a sequencing_summary generated by Albacore
      1.0.0 + (read_fast5_basecaller.py) / Guppy 2.1.3+
      (guppy_basecaller). One can also pass multiple space
      separated file paths or a UNIX style regex matching
      multiple files (Required)
    inputBinding:
      prefix: --summary_file
  report_title:
    type: string?
    doc: Title to use in the html report
    default: "PycoQC_report"
    inputBinding:
      prefix: --report_title

outputs:
  qc_report: 
    type: File
    outputBinding:
      glob: $(inputs.report_title).html

s:author:
  - class: s:Person
    s:identifier: https://orcid.org/0000-0002-5516-8391
    s:email: mailto:german.royvalgarcia@wur.nl
    s:name: Germán Royval
  - class: s:Person
    s:identifier: https://orcid.org/0000-0001-8172-8981
    s:email: mailto:jasper.koehorst@wur.nl
    s:name: Jasper Koehorst
  - class: s:Person
    s:identifier: https://orcid.org/0000-0001-9524-5964
    s:email: mailto:bart.nijsse@wur.nl
    s:name: Bart Nijsse

s:citation: https://m-unlock.nl
s:codeRepository: https://gitlab.com/m-unlock/cwl
s:dateCreated: "2022-01-28"
s:license: https://spdx.org/licenses/Apache-2.0 
s:copyrightHolder: "UNLOCK - Unlocking Microbial Potential"

$namespaces:
  s: https://schema.org/